import React from 'react';
import type { View } from 'react-native';
import type { MotiPressableInteractionState } from './types';
export declare const MotiPressable: React.ForwardRefExoticComponent<{
    onFocus?: (() => void) | undefined;
    onBlur?: (() => void) | undefined;
    transition?: import("./types").MotiPressableTransitionProp | undefined;
    animate?: import("./types").MotiPressableProp;
    state?: undefined;
    onPress?: (() => void) | undefined;
    onPressIn?: (() => void) | undefined;
    onPressOut?: (() => void) | undefined;
    onHoverIn?: (() => void) | undefined;
    onHoverOut?: (() => void) | undefined;
    onKeyDown?: ((e: KeyboardEvent) => void) | undefined;
    onKeyUp?: ((e: KeyboardEvent) => void) | undefined;
    onLongPress?: (() => void) | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    id?: string | undefined;
    disabled?: boolean | undefined;
    containerStyle?: import("react-native").ViewStyle | undefined;
    dangerouslySilenceDuplicateIdsWarning?: boolean | undefined;
    pressedValue?: import("react-native-reanimated/lib/typescript/Animated").SharedValue<boolean> | undefined;
    hoveredValue?: import("react-native-reanimated/lib/typescript/Animated").SharedValue<boolean> | undefined;
    onContainerLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    href?: string | undefined;
    children?: React.ReactNode | ((interaction: Readonly<import("react-native-reanimated").SharedValue<MotiPressableInteractionState>>) => React.ReactNode);
} & Pick<import("react-native").ViewProps & {
    animatedProps?: Partial<import("react-native").ViewProps> | undefined;
    layout?: import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").LayoutAnimationFunction | typeof import("react-native-reanimated").BaseAnimationBuilder | undefined;
    entering?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").EntryExitAnimationFunction | Keyframe | undefined;
    exiting?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").EntryExitAnimationFunction | Keyframe | undefined;
} & import("../..").MotiProps<import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle, import("../..").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle>, Partial<{
    backfaceVisibility: "visible" | "hidden" | import("../..").SequenceItem<"visible" | "hidden" | undefined>[] | undefined;
    backgroundColor: import("react-native").ColorValue | import("../..").SequenceItem<import("react-native").ColorValue | undefined>[] | undefined;
    borderBottomLeftRadius: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderBottomRightRadius: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderBottomWidth: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderColor: import("react-native").ColorValue | import("../..").SequenceItem<import("react-native").ColorValue | undefined>[] | undefined;
    borderLeftWidth: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderRadius: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderRightWidth: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderTopLeftRadius: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderTopRightRadius: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderTopWidth: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderWidth: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    opacity: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    alignContent: "flex-start" | "flex-end" | "center" | "stretch" | "space-between" | "space-around" | import("../..").SequenceItem<"flex-start" | "flex-end" | "center" | "stretch" | "space-between" | "space-around" | undefined>[] | undefined;
    alignItems: import("react-native").FlexAlignType | import("../..").SequenceItem<import("react-native").FlexAlignType | undefined>[] | undefined;
    alignSelf: import("react-native").FlexAlignType | "auto" | import("../..").SequenceItem<import("react-native").FlexAlignType | "auto" | undefined>[] | undefined;
    aspectRatio: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    borderEndWidth: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    borderStartWidth: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    bottom: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    display: "flex" | "none" | import("../..").SequenceItem<"flex" | "none" | undefined>[] | undefined;
    end: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    flex: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    flexBasis: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    flexDirection: "row" | "column" | "row-reverse" | "column-reverse" | import("../..").SequenceItem<"row" | "column" | "row-reverse" | "column-reverse" | undefined>[] | undefined;
    flexGrow: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    flexShrink: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    flexWrap: "wrap" | "nowrap" | "wrap-reverse" | import("../..").SequenceItem<"wrap" | "nowrap" | "wrap-reverse" | undefined>[] | undefined;
    height: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    justifyContent: "flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "space-evenly" | import("../..").SequenceItem<"flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "space-evenly" | undefined>[] | undefined;
    left: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    margin: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    marginBottom: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    marginEnd: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    marginHorizontal: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    marginLeft: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    marginRight: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    marginStart: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    marginTop: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    marginVertical: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    maxHeight: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    maxWidth: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    minHeight: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    minWidth: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    overflow: "visible" | "hidden" | "scroll" | import("../..").SequenceItem<"visible" | "hidden" | "scroll" | undefined>[] | undefined;
    padding: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    paddingBottom: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    paddingEnd: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    paddingHorizontal: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    paddingLeft: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    paddingRight: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    paddingStart: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    paddingTop: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    paddingVertical: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    position: "absolute" | "relative" | import("../..").SequenceItem<"absolute" | "relative" | undefined>[] | undefined;
    right: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    start: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    top: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    width: string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined;
    zIndex: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    direction: "inherit" | "ltr" | "rtl" | import("../..").SequenceItem<"inherit" | "ltr" | "rtl" | undefined>[] | undefined;
    shadowColor: import("react-native").ColorValue | import("../..").SequenceItem<import("react-native").ColorValue | undefined>[] | undefined;
    shadowOffset: {
        width: number;
        height: number;
    } | import("../..").SequenceItem<{
        width: number;
        height: number;
    } | undefined>[] | undefined;
    shadowOpacity: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    shadowRadius: number | import("../..").SequenceItem<number | undefined>[] | undefined;
    transformMatrix: number[] | import("../..").SequenceItem<number[] | undefined>[] | undefined;
    rotation: number | import("../..").SequenceItem<number | undefined>[] | undefined;
} & {
    scaleX?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined;
    scaleY?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined;
    translateX?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined;
    translateY?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined;
    perspective?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined;
    rotate?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined;
    rotateX?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined;
    rotateY?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined;
    rotateZ?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined;
    scale?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined;
    skewX?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined;
    skewY?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined;
} & import("../..").StyleValueWithSequenceArraysWithTransform>, {
    backfaceVisibility?: "visible" | "hidden" | import("../..").SequenceItem<"visible" | "hidden" | undefined>[] | {
        value: "visible" | "hidden" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<"visible" | "hidden" | import("../..").SequenceItem<"visible" | "hidden" | undefined>[] | undefined>;
    } | undefined;
    backgroundColor?: import("react-native").ColorValue | import("../..").SequenceItem<import("react-native").ColorValue | undefined>[] | {
        value: import("react-native").ColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<import("react-native").ColorValue | import("../..").SequenceItem<import("react-native").ColorValue | undefined>[] | undefined>;
    } | undefined;
    borderBottomLeftRadius?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderBottomRightRadius?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderBottomWidth?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderColor?: import("react-native").ColorValue | import("../..").SequenceItem<import("react-native").ColorValue | undefined>[] | {
        value: import("react-native").ColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<import("react-native").ColorValue | import("../..").SequenceItem<import("react-native").ColorValue | undefined>[] | undefined>;
    } | undefined;
    borderLeftWidth?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderRadius?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderRightWidth?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderTopLeftRadius?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderTopRightRadius?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderTopWidth?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderWidth?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    opacity?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    alignContent?: "flex-start" | "flex-end" | "center" | "stretch" | "space-between" | "space-around" | import("../..").SequenceItem<"flex-start" | "flex-end" | "center" | "stretch" | "space-between" | "space-around" | undefined>[] | {
        value: "flex-start" | "flex-end" | "center" | "stretch" | "space-between" | "space-around" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<"flex-start" | "flex-end" | "center" | "stretch" | "space-between" | "space-around" | import("../..").SequenceItem<"flex-start" | "flex-end" | "center" | "stretch" | "space-between" | "space-around" | undefined>[] | undefined>;
    } | undefined;
    alignItems?: import("react-native").FlexAlignType | import("../..").SequenceItem<import("react-native").FlexAlignType | undefined>[] | {
        value: import("react-native").FlexAlignType | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<import("react-native").FlexAlignType | import("../..").SequenceItem<import("react-native").FlexAlignType | undefined>[] | undefined>;
    } | undefined;
    alignSelf?: import("react-native").FlexAlignType | "auto" | import("../..").SequenceItem<import("react-native").FlexAlignType | "auto" | undefined>[] | {
        value: import("react-native").FlexAlignType | "auto" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<import("react-native").FlexAlignType | "auto" | import("../..").SequenceItem<import("react-native").FlexAlignType | "auto" | undefined>[] | undefined>;
    } | undefined;
    aspectRatio?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    borderEndWidth?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    borderStartWidth?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    bottom?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    display?: "flex" | "none" | import("../..").SequenceItem<"flex" | "none" | undefined>[] | {
        value: "flex" | "none" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<"flex" | "none" | import("../..").SequenceItem<"flex" | "none" | undefined>[] | undefined>;
    } | undefined;
    end?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    flex?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    flexBasis?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    flexDirection?: "row" | "column" | "row-reverse" | "column-reverse" | import("../..").SequenceItem<"row" | "column" | "row-reverse" | "column-reverse" | undefined>[] | {
        value: "row" | "column" | "row-reverse" | "column-reverse" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<"row" | "column" | "row-reverse" | "column-reverse" | import("../..").SequenceItem<"row" | "column" | "row-reverse" | "column-reverse" | undefined>[] | undefined>;
    } | undefined;
    flexGrow?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    flexShrink?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    flexWrap?: "wrap" | "nowrap" | "wrap-reverse" | import("../..").SequenceItem<"wrap" | "nowrap" | "wrap-reverse" | undefined>[] | {
        value: "wrap" | "nowrap" | "wrap-reverse" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<"wrap" | "nowrap" | "wrap-reverse" | import("../..").SequenceItem<"wrap" | "nowrap" | "wrap-reverse" | undefined>[] | undefined>;
    } | undefined;
    height?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    justifyContent?: "flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "space-evenly" | import("../..").SequenceItem<"flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "space-evenly" | undefined>[] | {
        value: "flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "space-evenly" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<"flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "space-evenly" | import("../..").SequenceItem<"flex-start" | "flex-end" | "center" | "space-between" | "space-around" | "space-evenly" | undefined>[] | undefined>;
    } | undefined;
    left?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    margin?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    marginBottom?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    marginEnd?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    marginHorizontal?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    marginLeft?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    marginRight?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    marginStart?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    marginTop?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    marginVertical?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    maxHeight?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    maxWidth?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    minHeight?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    minWidth?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    overflow?: "visible" | "hidden" | "scroll" | import("../..").SequenceItem<"visible" | "hidden" | "scroll" | undefined>[] | {
        value: "visible" | "hidden" | "scroll" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<"visible" | "hidden" | "scroll" | import("../..").SequenceItem<"visible" | "hidden" | "scroll" | undefined>[] | undefined>;
    } | undefined;
    padding?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    paddingBottom?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    paddingEnd?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    paddingHorizontal?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    paddingLeft?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    paddingRight?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    paddingStart?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    paddingTop?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    paddingVertical?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    position?: "absolute" | "relative" | import("../..").SequenceItem<"absolute" | "relative" | undefined>[] | {
        value: "absolute" | "relative" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<"absolute" | "relative" | import("../..").SequenceItem<"absolute" | "relative" | undefined>[] | undefined>;
    } | undefined;
    right?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    start?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    top?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    width?: string | number | import("../..").SequenceItem<string | number | undefined>[] | {
        value: string | number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | number | import("../..").SequenceItem<string | number | undefined>[] | undefined>;
    } | undefined;
    zIndex?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    direction?: "inherit" | "ltr" | "rtl" | import("../..").SequenceItem<"inherit" | "ltr" | "rtl" | undefined>[] | {
        value: "inherit" | "ltr" | "rtl" | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<"inherit" | "ltr" | "rtl" | import("../..").SequenceItem<"inherit" | "ltr" | "rtl" | undefined>[] | undefined>;
    } | undefined;
    shadowColor?: import("react-native").ColorValue | import("../..").SequenceItem<import("react-native").ColorValue | undefined>[] | {
        value: import("react-native").ColorValue | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<import("react-native").ColorValue | import("../..").SequenceItem<import("react-native").ColorValue | undefined>[] | undefined>;
    } | undefined;
    shadowOffset?: {
        width: number;
        height: number;
    } | import("../..").SequenceItem<{
        width: number;
        height: number;
    } | undefined>[] | {
        value: undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<{
            width: number;
            height: number;
        } | import("../..").SequenceItem<{
            width: number;
            height: number;
        } | undefined>[] | undefined>;
    } | undefined;
    shadowOpacity?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    shadowRadius?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    transformMatrix?: number[] | import("../..").SequenceItem<number[] | undefined>[] | {
        value: undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number[] | import("../..").SequenceItem<number[] | undefined>[] | undefined>;
    } | undefined;
    rotation?: number | import("../..").SequenceItem<number | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | import("../..").SequenceItem<number | undefined>[] | undefined>;
    } | undefined;
    scaleX?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    scaleY?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    translateX?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    translateY?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    perspective?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    rotate?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | {
        value: string | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    rotateX?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | {
        value: string | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    rotateY?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | {
        value: string | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    rotateZ?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | {
        value: string | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    scale?: number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | {
        value: number | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<number | (string & {}) | import("../..").SequenceItem<number | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    skewX?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | {
        value: string | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    skewY?: string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | {
        value: string | undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<string | (string & {}) | import("../..").SequenceItem<string | (string & {}) | undefined>[] | undefined>;
    } | undefined;
    transform?: Partial<{} & {
        scaleX?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
        scaleY?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
        translateX?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
        translateY?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
        perspective?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
        rotate?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
        rotateX?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
        rotateY?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
        rotateZ?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
        scale?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
        skewX?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
        skewY?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
    } & import("../..").StyleValueWithSequenceArraysWithTransform>[] | {
        value: undefined;
        onDidAnimate: import("../..").InlineOnDidAnimate<Partial<{} & {
            scaleX?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
            scaleY?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
            translateX?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
            translateY?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
            perspective?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
            rotate?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
            rotateX?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
            rotateY?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
            rotateZ?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
            scale?: number | (string & {}) | import("../..").SequenceItem<number | (string & {})>[] | undefined;
            skewX?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
            skewY?: string | (string & {}) | import("../..").SequenceItem<string | (string & {})>[] | undefined;
        } & import("../..").StyleValueWithSequenceArraysWithTransform>[] | undefined>;
    } | undefined;
}> & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown>, "from" | "exit" | "exitTransition" | "style" | "onLayout"> & Pick<import("react-native").PressableProps, "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "accessibilityIgnoresInvertColors"> & React.RefAttributes<View>>;
